local frame = CreateFrame('Frame')

frame.loot_ready = false
frame.loot_delay = 0.1

frame:SetScript('OnUpdate', function(self, elapsed)
	if GetCVar("autoLootDefault") ~= "1" then
		return
	end

	if not self.elapsed then 
		self.elapsed = 0
	end
	self.elapsed = self.elapsed + elapsed
	
	if not self.loot_ready then
		return
	end
	
	if self.elapsed < self.loot_delay then
		return
	end	

	self.elapsed = 0
	for i = GetNumLootItems(), 1, -1 do
		LootSlot(i)
	end
	
	if GetNumLootItems() == 0 then
		self.loot_ready = false
	end
end)

frame:RegisterEvent('LOOT_READY')
frame:SetScript('OnEvent', function(self, event)
	if event == 'LOOT_READY' then
		self.loot_ready = true
	end
end)